Full name: projects.locations.deploymentResourcePools.patch
Update a DeploymentResourcePool.
Endpoint
patchhttps://{service-endpoint}/v1/{deploymentResourcePool.name}
PATCH https://{service-endpoint}/v1/{deploymentResourcePool.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
deploymentResourcePool.namestring
Immutable. The resource name of the DeploymentResourcePool. Format: projects/{project}/locations/{location}/deploymentResourcePools/{deploymentResourcePool}
Query parameters
Required. The list of fields to update.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of DeploymentResourcePool.
Response body
If successful, the response body contains an instance of Operation.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.deploymentResourcePools.update
For more information, see the IAM documentation.